document.addEventListener('DOMContentLoaded', () => {
  const image = document.querySelector('.rotating-image');
  let isRotating = false;

  image.addEventListener('click', () => {
    if (!isRotating) {
      isRotating = true;
      image.style.transform = 'rotate(360deg)';
      
      setTimeout(() => {
        image.style.transform = 'rotate(0deg)';
        isRotating = false;
      }, 800);
    }
  });

  // Add keyboard accessibility
  image.addEventListener('keypress', (e) => {
    if (e.key === 'Enter' || e.key === ' ') {
      e.preventDefault();
      image.click();
    }
  });

  // Ensure image is focusable
  image.setAttribute('tabindex', '0');
  image.setAttribute('role', 'button');
});